Package Details: pycryptopp 0.7.1-1

Git Clone URL: https://aur.archlinux.org/pycryptopp.git (read-only)
Package Base: pycryptopp
Description: Python wrappers for the Crypto++ library
Upstream URL: http://allmydata.org/trac/pycryptopp
Licenses: GPL
Submitter: None
Maintainer: skydrome
Last Packager: skydrome
Votes: 27
Popularity: 0.000051
First Submitted: 2010-07-23 15:59
Last Updated: 2018-04-25 04:58

Latest Comments

skydrome commented on 2018-03-27 08:27

Hi there, this is due to recent crypto++ api change. You have two options. 1)Edit the PKGBUILD commenting out the two exported variables in the build() function. This will compile an old version of crypto++ included with the source. 2)Use this patch which I have only tested to make a successful build. https://gist.github.com/skydrome/bb9665fc0b449167bb25a57b45829ca8

Other than that we must wait for the next version. Im keeping an eye on it.

milkmiruku commented on 2018-03-26 20:14

getting this atm;

building 'pycryptopp._pycryptopp' extension
gcc -pthread -DNDEBUG -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -D_FORTIFY_SOURCE=2 -fPIC -DDISABLE_EMBEDDED_CRYPTOPP=1 -I/usr/include -I/usr/include/python2.7 -c src/pycryptopp/_pycryptoppmodule.cpp -o build/temp.linux-x86_64-2.7/src/pycryptopp/_pycryptoppmodule.o -w
gcc -pthread -DNDEBUG -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -D_FORTIFY_SOURCE=2 -fPIC -DDISABLE_EMBEDDED_CRYPTOPP=1 -I/usr/include -I/usr/include/python2.7 -c src/pycryptopp/publickey/rsamodule.cpp -o build/temp.linux-x86_64-2.7/src/pycryptopp/publickey/rsamodule.o -w
src/pycryptopp/publickey/rsamodule.cpp: In function ‘PyObject* VerifyingKey_serialize(VerifyingKey*, PyObject*)’:
src/pycryptopp/publickey/rsamodule.cpp:90:14: error: ‘CryptoPP::TF_SS<CryptoPP::RSA, CryptoPP::PSS, CryptoPP::SHA256, CryptoPP::TF_SS<CryptoPP::RSA, CryptoPP::PSS, CryptoPP::SHA256, int> >::Verifier {aka class CryptoPP::PK_FinalTemplate<CryptoPP::TF_VerifierImpl<CryptoPP::TF_SignatureSchemeOptions<CryptoPP::TF_SS<CryptoPP::RSA, CryptoPP::PSS, CryptoPP::SHA256, int>, CryptoPP::RSA, CryptoPP::PSSR_MEM<false>, CryptoPP::SHA256> > >}’ has no member named ‘DEREncode’
     self->k->DEREncode(ss);
              ^~~~~~~~~
src/pycryptopp/publickey/rsamodule.cpp: In function ‘PyObject* SigningKey_serialize(SigningKey*, PyObject*)’:
src/pycryptopp/publickey/rsamodule.cpp:219:14: error: ‘CryptoPP::TF_SS<CryptoPP::RSA, CryptoPP::PSS, CryptoPP::SHA256, CryptoPP::TF_SS<CryptoPP::RSA, CryptoPP::PSS, CryptoPP::SHA256, int> >::Signer {aka class CryptoPP::PK_FinalTemplate<CryptoPP::TF_SignerImpl<CryptoPP::TF_SignatureSchemeOptions<CryptoPP::TF_SS<CryptoPP::RSA, CryptoPP::PSS, CryptoPP::SHA256, int>, CryptoPP::RSA, CryptoPP::PSSR_MEM<false>, CryptoPP::SHA256> > >}’ has no member named ‘DEREncode’
     self->k->DEREncode(ss);
              ^~~~~~~~~
error: command 'gcc' failed with exit status 1
==> ERROR: A failure occurred in build().

jerome2016 commented on 2016-12-29 19:22

pycryptop-0.7.1-2 failed to install
no error, but i see that it try to install a version 0.7.1-2 but sources from links on this page show a version0.7.1-86.........

i think the package informations are wrong.
please could you check it seriuously and tell me if there is something wrong ?

kete commented on 2016-04-28 19:59

pycryptopp-0.6.0.1206569328141510525648634803928199668821045408958.tar.gz ... FAILED (unknown public key 5F22F428242BE85F)
==> ERROR: One or more PGP signatures could not be verified!

PS—solved it with 'gpg --recv-keys --keyserver hkp://pgp.mit.edu 5F22F428242BE85F'

kvtb commented on 2016-04-18 19:49

at the moment, this package only builds if the following line is added to the PKGBUILD:
makedepends=('python2-setuptools')
would be nice if you could add this line, thanks in advance

npouillard commented on 2012-06-28 15:49

[Unflagged the Out-of-date]

The package is up to date. The internal version number is indeed 0.6.0.1206569328141510525648634803928199668821045408958.

Anonymous comment on 2012-05-28 01:26

updated PKGBUILD @ http://pastebin.com/jdhrN6Ma

lenzenmi commented on 2012-03-13 22:18

I had to remove 'darcsver' from the depends in the PKGBUILD to get this to compile. Darcsver is required by the setuptools_darcs package so it still gets installed. I guess order is important here

npouillard commented on 2011-04-28 21:57

@crocowhile indeed.

pycryptopp 0.5.29-2 uploaded.

crocowhile commented on 2011-04-28 14:30

It does compile only if I put back export PYCRYPTOPP_DISABLE_EMBEDDED_CRYPTOPP=1'

All comments